Get upload stream

Retrieves the details of an upload stream identified by the specified token. Requires master permission.

Required Permissions

Requires the Cluster Administrator role.

HTTP Request

GET /api/sonar/upload-streams/:token
cURL Example
curl -H "Authorization: Bearer <API_KEY>" \
     https://HOSTNAME/api/sonar/upload-streams/a1b2c3d4-e5f6-7890-abcd-ef1234567890
Request Parameters
Path Parameters
KeyTypeDescriptionNote
tokenStringUpload stream token

Success Response

{
  "stream": {
    "token": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
    "remote_addr": "192.0.2.10",
    "login_name": "gildong",
    "file_name": "sample-app.pkg",
    "file_size": 10485760,
    "uploaded_size": 5242880,
    "created": "2026-07-15 10:30:00+0900",
    "last_upload": "2026-07-15 10:30:12+0900",
    "metadata": {}
  }
}
  • stream (Map): The specified upload stream. null when it does not exist.
    • token (String): Upload stream token (36-character GUID)
    • remote_addr (String): IP address of the client that created the upload stream
    • login_name (String): Login name of the account that created the upload stream
    • file_name (String): File name
    • file_size (64-bit integer): Total size of the file to upload, in bytes
    • uploaded_size (64-bit integer): Size uploaded so far, in bytes
    • created (String): Date and time of creation (yyyy-MM-dd HH:mm:ssZ)
    • last_upload (String): Date and time when data was last received (yyyy-MM-dd HH:mm:ssZ). null when no data has been received
    • metadata (String key/value): Metadata passed when the upload stream was created
The specified upload stream does not exist

HTTP status code 200

{
  "stream": null
}

Error Responses

token is not in valid GUID format

HTTP status code 400

{
  "error_code": "invalid-param-type",
  "error_msg": "token should be guid type."
}
Permission denied

HTTP status code 500

{
  "error_code": "illegal-state",
  "error_msg": "no-permission"
}